﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Core;
using HeuristicLab.Optimization;

namespace HeuristicLab.Encodings.LinearLinkageEncoding {
  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("C3D9067B-450F-4D8D-859D-34A566D08B82")]
  public interface ILinearLinkageCrossover : ICrossover, ILinearLinkageOperator {
    ILookupParameter<LinearLinkage> ChildParameter { get; }
    IScopeTreeLookupParameter<LinearLinkage> ParentsParameter { get; }
  }
}
